# Novus
A blazingly fast and efficient package manager for windows.

# Why Novus

### Swift

Unlike any other package manager, Novus uses multithreaded downloads making the download speeds 8 times faster.

### Efficient

Apart from being extremely fast, Novus also installs and uninstalls packages concurrently, making it as efficient as possible.

### Authentic

Not only are all of Novus’s packages are monitored regularly, but all of them are always up to date and trusted by the community.

# Features

Unlike most package managers, Novus can do much more than just installing and uninstalling applications.

Here are the various commands that novus can perform.

- Install
- Uninstall
- Update
- List
- Search
- Clean
- Quit
- Forcequit
- Info

Run **novus -h** for a detailed description of each command.

# Installation

Novus is extremely easy to install.

This can be done using the official installer or via powershell.

## Powershell Installation

You can install Novus using the powershell command.

First, you must set the PowerShell Execution Policy from Restricted to RemoteSigned or Unrestricted to allow local PowerShell scripts to run.

```powershell
Set-ExecutionPolicy RemoteSigned
```

You can then run this command on your powershell window to install Novus

```powershell
iwr -useb https://storage.googleapis.com/novus_bucket/api/powershell_install.ps1 | iex
```

## Official Installer

The official installer for Novus can be found [here](https://github.com/novus-package-manager/novus/releases/latest).

Check out the [Github Page](https://github.com/novus-package-manager/novus/releases)

After downloading the installer, follow the simple installation prompts.

# Official Site

Visit our [website](https://www.novuspkg.com/) for more information about Novus.

Take a look at the [docs](https://docs.novuspkg.com/docs/getting-started/installation) on how to get started.

# Supporters
[![Stargazers repo roster for @novus-package-manager/novus](https://reporoster.com/stars/novus-package-manager/novus)](https://github.com/novus-package-manager/novus/stargazers)

# Authors
[ZaphodElevated](https://www.github.com/ZaphodElevated) - Founder And Developer Of Novus

Find other contributors [here](https://github.com/novus-package-manager/novus/graphs/contributors)

# Credits
[Credits](https://github.com/novus-package-manager/novus/blob/main/CREDITS.md)
